Status: Closed

Priority: Low

Assignee: nobody -

Category: Build/Install

Pull Request or Patch supplied: Resolution: fixed
Easy fix?: No Copied to github as #: 11939
Description

Hi,

A fresh checkout of svn trunk fails to build on Debian due to a missing build-depends on the pyqt4-dev-tools package.
$ debuild binary

-- Looking for openpty - found

-- Found [[PythonLibs]]: /usr/lib/python2.5/config/libpython2.5.so
-- Found [[PythonInterp]]: /ust/bin/python2.5

ERRORpyuic4 is required

-- Python libraries found

-- Python bindings enabled

-- Looking for Q_WS_X11

-- Looking for Q_WS_X11 - found

[ 96%)] Generating ui_qgsplugininstallerbase.py

/bin/sh: PYUIC4_PROGRAM-NOTFOUND: command not found
maker3: *** [python/plugins/plugin_installer/ui_qgsplugininstallerbase.py] Error 127

the attached patch vs. svn trunk adds that & then it builds ok.

thanks,
Hamish

Associated revisions

Revision b48f88ee - 2009-08-18 08:34 AM - Jiirgen Fischer

debian packaging update (fixes #1879)

git-svn-id: http://svn.osgeo.org/qgis/trunk/qgis@11422 ¢8812cc2-4d05-0410-92ff-de0c093fc19¢c

Revision 7¢2b3a28 - 2009-08-18 08:34 AM - Jiirgen Fischer

debian packaging update (fixes #1879)

git-svn-id: http://svn.osgeo.org/qgis/trunk@11422 ¢8812cc2-4d05-0410-92ff-de0c093fc19c
History

#1 - 2009-08-17 11:34 PM - Jiirgen Fischer
- Resolution set to fixed
- Status changed from Open to Closed

applied in commit:7c2b3a28 (SVN r11423)
